can't install redmine_tagging on Redmine 1.2.1.stable.6446 (PostgreSQL)

Added by Charles Monteiro over 10 years ago

So first of all:

Rails 2.3.11
Rake 0.9.2
Ruby 1.8.6
Redmine 1.2.1

Installed Gems:

  • LOCAL GEMS ***

actionmailer (2.3.11)
actionpack (2.3.11)
activerecord (2.3.11)
activeresource (2.3.11)
activesupport (2.3.11)
daemon_controller (0.2.6)
fastthread (1.0.7)
i18n (0.4.2)
passenger (3.0.8)
postgres-pr (0.6.3)
rack (1.1.1)
rails (2.3.11)
rake (0.9.2)

Installation attempt based on instructions found here:

https://github.com/friflaj/redmine_tagging

Error stack:

[root@redmine ~]# git clone http://github.com/woodchuck/rails_sql_views.git
Cloning into rails_sql_views...
remote: Counting objects: 494, done.
remote: Compressing objects: 100% (201/201), done.
remote: Total 494 (delta 315), reused 434 (delta 273)
Receiving objects: 100% (494/494), 63.25 KiB, done.
Resolving deltas: 100% (315/315), done.
[root@redmine ~]# cd rails_sql_views/
[root@redmine rails_sql_views]# rake gem
rake/rdoctask is deprecated. Use rdoc/task instead (in RDoc 2.4.2+)
rake/gempackagetask is deprecated. Use rubygems/package_task instead
Jeweler, or one of its dependencies, is not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com
rake aborted!
Don't know how to build task 'gem'

(See full trace by running task with --trace)
[root@redmine rails_sql_views]# gem install technicalpickles-jeweler -s http://gems.github.com
ERROR: Error installing technicalpickles-jeweler:
technicalpickles-jeweler requires git (>= 1.2.1, runtime)
[root@redmine rails_sql_views]# git --version
git version 1.7.4.1


Any feedback is much appreaciated.

thanks